GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectType | yes | []int | object type |
| pageNum | no | int | the num of page, default is 1. |
| pageSize | no | int | the size of page, default is 20. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error details |
| totalSize | yes | int | total size of result |
| resultSize | yes | int | the size of current result |
| result | no | []ObjectInfo | Query results, The field to be returned should be specified in the request code segment. |
curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data 'query getObjectByOwner {
getObjectByOwner(input: {objectType: [1]}) {
errorCode
errorInfo
totalSize
resultSize
result {
objectId
objectType
objectName
tangibleInfo {
tangibleId
tangibleName
tangibleType
extraInfo
}
}
}
}'{
"data": {
"getObjectByName": {
"errorCode": "0x0",
"errorInfo": "Succ",
"totalSize": 91,
"resultSize": 5,
"result": [
{
"objectId": "1355203137245417472",
"objectType": 1,
"objectName": "test333",
"tangibleInfo": [
{
"tangibleId": "55524c204558544c00000195dbab8635",
"tangibleName": "67ca1f1f224e65058ca80d11__test333",
"tangibleType": "NDI",
"extraInfo": {
"urLoadTier": "TVUDEC4VA4"
}
}
]
},
{
"objectId": "1355203137706790912",
"objectType": 1,
"objectName": "test444",
"tangibleInfo": [
{
"tangibleId": "55524c204558544c00000195dbab8656",
"tangibleName": "67ca1f1f224e65058ca80d12__test444",
"tangibleType": "NDI",
"extraInfo": {
"urLoadTier": "TVUDEC4VA4"
}
}
]
},
{
"objectId": "1355192063519494144",
"objectType": 1,
"objectName": "test2",
"tangibleInfo": [
{
"tangibleId": "55524c204558544c00000195db8339f5",
"tangibleName": "67ca1f1f224e65058ca80d31__test2",
"tangibleType": "NDI",
"extraInfo": {
"urLoadTier": "TVUDECFVA4",
"url": "ndi://WORKSHOP2025-ROSS-CARBONITECODE (Output 4)"
}
}
]
},
{
"objectId": "1340000407459598336",
"objectType": 1,
"objectName": "testgetcreate1",
"tangibleInfo": [
{
"tangibleId": "testgetcreateTid1",
"tangibleName": "testgetcreateTname1",
"tangibleType": "ext",
"extraInfo": null
}
]
},
{
"objectId": "1355195367137873920",
"objectType": 1,
"objectName": "test222",
"tangibleInfo": [
{
"tangibleId": "55524c204558544c00000195db8f40da",
"tangibleName": "67ca1f1f224e65058ca80d12__test222",
"tangibleType": "NDI",
"extraInfo": {
"url": "ndi://WORKSHOP2025-ROSS-CARBONITECODE (Output 7)"
}
}
]
}
]
}
}
}